Page MenuHomePhabricator

Provide items inside a bundle with a more concise text copy
Closed, ResolvedPublic

Description

When notifications get bundled, they get a specific copy for the bundle group (e.g., "Links were made from Easter Island and 2 other pages to Moai").

Once we allow to expand such bundles to show the individual items we need to define a specific message for them in order to avoid the communication to be too verbose. Otherwise, the individual items will repeat information that is already in the bundle container, making each item to be hard to distinguish from each other.

The problem

Using the regular copy for individual items will result in situations like this:

  • 4 new replies to “How the Moai moved?”
    • New reply on “How the Moai moved”: "I don't think so..."
    • New reply on “How the Moai moved”: "Moais are great..."
    • New reply on “How the Moai moved”: "Yes, that is a widely known fact...."
    • New reply on “How the Moai moved”: "Do you know Moais have a body too..."

A less verbose copy is preferred for such cases:

  • 4 new replies to “How the Moai moved?”
    • Ludmilla: "I don't think so..."
    • Fama: "Moais are great..."
    • Ludmilla: “How the Moai moved”: "Yes, that is a widely known fact...."
    • Fama: "Do you know Moais have a body too..."

Proposed solution

Keep as non-expandable: (we don't need individual messages for these)

  • Flow-post-edited
  • flowusertalk-post-edited
  • Flow-summary-edit
  • Flowboard-description-edited

Make expandable:

  • Page-linked
  • Flow-new-topic
  • Flow-post-reply
  • flowusertalk-new-topic
  • Flowusertalk-post-reply

Here are the more concise language formulations for messages in expandable bundles. Note that changes have been made both to the "parent" messages (the ones that announce "5 new topics created..." etc.) and the "sub" messages. Contrary to what had been supposed, no changes to the linking schemes for each message should be required (except, of course, to put the secondary links into the dotdot menus).

Page-linked

  • Bundle: Links were made from 99 pages to Moai.
  • bundled message: Linked from Easter Island.

Flow-new-topic

  • Bundle: 5 new topics created on Moai.
  • Bundled message: "How the Moai moved?" [topic name]

flowusertalk-new-topic

  • Bundle: 5 new topics created on your talk page.
  • Bundled message: “How the Moai moved?[topic name]

Flow-post-reply

  • Bundle: 5 new replies in "How the Moai moved?".
  • Bundled message: Ludmilla: “I don't think sails were used…” [excerpt]

Flowusertalk-post-reply

  • Bundle: 5 new replies on your talk page in "How the Moai Moved?".
  • Bundled message: Ludmilla: “The Birdman cult was practiced until….” [excerpt]

Event Timeline

Have you considered to shorten the sentences:

  • 4 new replies to “How the Moai moved?”
    • Ludmilla: "I don't think so..."
    • Fama: "Moais are great..."
    • Ludmilla: “How the Moai moved”: "Yes, that is a widely known fact...."
    • Fama: "Do you know Moais have a body too..."

Works with a dash too.
I suggest that because the more text there is, the more information the user gets on that notifications. Also, it allows us to avoid a new message system :)
And there is sometimes really long user names:

  • EESAB - site de Quimper (compte officiel): "Can..."

Have you considered to shorten the sentences:

The main point was to highlight that we need a specific text copy for this case.
For the exact copy we need to go through all the bundled notifications and decide one.

Regarding the one in your example, I agree the shorter the better. I think that "<username>:<excerpt>" could work well in this context as you proposed.

jmatazzoni claimed this task.

I'll take a stab at writing the copy for these.

Restricted Application added a project: Collaboration-Team-Triage. · View Herald TranscriptApr 4 2016, 6:43 PM

I tried to capture the current status of bundles below, as a reference to define later the concise text for items inside a bundle, and also evaluate if all of them would benefit from being expandable.

According to the notification spreadsheet, the current bundled notifications are:

page-linked:

  • Bundle: Links were made from Easter Island and 99 other pages to Moai.
  • Single message: A link was made from Easter Island to Moai.

flow-new-topic:

  • Bundle: 5 new topics created on Moai.
  • Single message: New topic created on Moai: "How the Moai moved?".

flow-post-reply:

  • Bundle: 5 new replies in "How the Moai moved".
  • Single message: Ludmilla replied in '"How the Moai moved".

flow-post-edited:

  • Bundle: Your post in "how the Moai moved" was edited multiple times.
  • Single message: Your post In "how the Moai moved" was edited.

flowusertalk-new-topic:

  • Bundle: 5 new topics created on your talk page
  • Single message: A new topic was created on your talk page: “How the moai moved?”

Flow-summary-edit:

  • Bundle: The summary for "How the moai moved?" was updated multiple times (on your talk page).
  • Single message: The summary for "How the moai moved?" was updated (on your talk page).

flowusertalk-post-reply:

  • Bundle: 5 new replies on your talk page in "How the Moai Moved".
  • Single message: Ludmilla posted a reply on your talk page in "How the Moai Moved".

flowusertalk-post-edited:

  • Bundle: A post in “Rapa Nui” was edited multiple times on your talk page.
  • Single message: A post in “Rapa Nui” was edited on your talk page.

flowboard-description-edited:

  • Bundle: The description of PageName was edited multiple times.
  • Single message: The description was edited (on your talk page).

For user-rights I'm not sure if messages such as "Your user rights were changed. You have been added to: Oversighters. You are no longer a member of: X, Y, Z." represent a bundle or just a single update action that happens at once.

There are also some alerts that are not bundled but it was discussed doing so if those are no longer marked as read automatically:

  • Thanks: edit-thank, and flow-thank.
  • Mentions: flow-mention

For user-rights I'm not sure if messages such as "Your user rights were changed. You have been added to: Oversighters. You are no longer a member of: X, Y, Z." represent a bundle or just a single update action that happens at once.

This is a single update action.

I've taken a stab at rewriting the notifications for display in expandable-bundles. The messages covered are all the notification types that are currently bundled -- which we agreed is what we will address in the first phase of this.

Because the tools in Google Docs are, IMHO, much more suitable for collaborative writing projects, I've posted the new messages in a google document. Please leave comments and suggested edits there. When we get close to consensus, I'll copy the messaging to this ticket.

Meanwhile, we can use this to discuss any other issues that affect this task, like the following one....

Question for @Pginer-WMF: what are the truncation rules for the "sub-notifications" (inside the bundle)?

Are the limits different from normal notifications? Specifically:

  • Rules for message excerpts
  • Rules for usernames
  • Rules for pagenames
  • Are the bundled messages meant to stay on one line, or will some of them wrap?

The answers may influence the form we decide on for many of the rewritten messages.

I've taken a stab at rewriting the notifications for display in expandable-bundles. The messages covered are all the notification types that are currently bundled -- which we agreed is what we will address in the first phase of this.

Great. Those look good to me. Just added some minor comments to the document.

Question for @Pginer-WMF: what are the truncation rules for the "sub-notifications" (inside the bundle)?

The truncation rules should be the same as we apply them inside the cross-wiki notification bundle which is already an expandable bundle (with some particularities).

  • Excerpts should use as much space as it is available until the end of the line.
  • Ideally bundled items should occupy just one line, but it is acceptable if they go beyond that exceptionally (e.g., when a long username, page and message happen at the same time).
  • Also note that for these bundles we don't need to repeat the icon on each item which gives some extra room.

Related one of the discussion points, I created a comparison of messaging options for bundled "new topic" notifications:

In this case, I think that the topic title itself (third option) may be enough given the context provided by the bundle.

Pau writes:

I think that the topic title itself (third option) may be enough given the context provided by the bundle.

I tried a quick, man-on-the-street survey (actually, one was a woman, Elena, and we weren't on the street but in the Edit team, but there was a survey...). Including myself (and why not?), 3 out of 4 users prefer the minimal version. Science! Let's try it.

jmatazzoni added a comment.EditedMay 10 2016, 12:25 AM
NOTE: regarding the messaging text in the Google Doc some of us have been working on. Elena confirms that all excerpts are simply the first line of the post, description, etc. In other words, excerpts are not pulled from the spots where particular edits were made. As such, in the various "edited" notification types, excerpts are not useful in distinguishing among a series of edits.

Because of the above, I’ve proposed two series of changes:

  1. Drop excerpts from the bundled notifications in favor of a simple message that “Username made an edit.”
  2. Change some of the links for these notification types, principally so that each "edit" message can link to the Diff.

Please review these changes on the Google Doc carefully -- particularly the link changes, marked in red.

@jmatazzoni, is it possible that primary link going to diff for Flow post-edited, summary-edited, description-edited is actually better and could be the default even when the notification if not part of an expanded bundle?

I'm asking because

  1. Consistency here seems to make sense given that we're talking about the same type of even and they can be presented next to each other. For instance, an expanded bundle for post "A" edited immediately followed by a single notification for post "B" edited.
  2. It adds complexity and work. It has to be considered for every single notification type, present and future.

@jmatazzoni, is it possible that primary link going to diff for Flow post-edited, summary-edited, description-edited is actually better and could be the default even when the notification if not part of an expanded bundle?

Part of a bundle or not, the items represent the same event and whichever is the most relevant action I guess that should be the main action on both cases. In both cases there is also a "..." menu for additional actions.

I'd focus in the current ticket about providing items inside a bundle with a more concise text copy, and have a separate ticket for changing actions if needed.

@jmatazzoni, is it possible that primary link going to diff for Flow post-edited, summary-edited, description-edited is actually better and could be the default even when the notification if not part of an expanded bundle?

I'm pretty sure the answer was "yes" when I brought this up in person the other day.

@SBisson reminds me that turning each bundled notification type into an expandable bundle is a job of work that requires thinking and testing and revision—in addition to actual programming. He is right, of course.

So, taking a hard look at value to users versus effort, I think we can see four types of notification that are good candidates for leaving as non-expandable at present. These four are all notifications where an entity (a post, summary or description) has been edited multiple times. This means two things:

  1. the value to the user of knowing the particulars of the bundle is less — compared, for example, to getting details about entirely new posts, topics, or page links.
  2. Skipping these four would mean we don't have to make the changes we'd contemplated to linking (see item #2, in my post above), which was leading us into some complications. So that multiplies the labor savings of not including these types in phase one.

Here's my proposal for which types will benefit most from being expandable.

PROPOSED: MAKE EXPANDABLE

  • Page-linked
  • Flow-new-topic
  • Flow-post-reply
  • flowusertalk-new-topic
  • Flowusertalk-post-reply

PROPOSED: DO NOT MAKE EXPANDABLE (i.e., leave as is)

  • Flow-post-edited
  • flowusertalk-post-edited
  • Flow-summary-edit
  • Flowboard-description-edited

Please speak up if you have a different perspective, but I've shopped this around a little and feel reasonably confident. So I'm going to go ahead and post the revised language below for the 5 types recommended for expandability.

jmatazzoni added a comment.EditedMay 11 2016, 11:00 PM

LANGUAGE CHANGES FOR EXPANDABLE BUNDLES
Here are the more concise language formulations for messages in expandable bundles. Note that changes have been made both to the "parent" messages (the ones that announce "5 new topics created..." etc.) and the "sub" messages. Contrary to what had been supposed, no changes to the linking schemes for each message should be required (except, of course, to put the secondary links into the dotdot menus).

Page-linked

  • Bundle: Links were made from 99 pages to Moai.
  • bundled message: Linked from Easter Island.

Flow-new-topic

  • Bundle: 5 new topics created on Moai.
  • Bundled message: "How the Moai moved?" [topic name]

flowusertalk-new-topic

  • Bundle: 5 new topics created on your talk page.
  • Bundled message: “How the Moai moved?[topic name]

Flow-post-reply

  • Bundle: 5 new replies in "How the Moai moved?".
  • Bundled message: Ludmilla: “I don't think sails were used…” [excerpt]

Flowusertalk-post-reply

  • Bundle: 5 new replies on your talk page in "How the Moai Moved?".
  • Bundled message: Ludmilla: “The Birdman cult was practiced until….” [excerpt]
jmatazzoni removed jmatazzoni as the assignee of this task.
Pginer-WMF updated the task description. (Show Details)May 12 2016, 8:53 AM

Here's my proposal for which types will benefit most from being expandable.

Looks good to me. I have added the info to the ticket description on top for easy access.

Change 293505 had a related patch set uploaded (by Sbisson):
Make notifications expandable

https://gerrit.wikimedia.org/r/293505

SBisson claimed this task.Jun 9 2016, 5:54 PM

Change 293505 merged by jenkins-bot:
Make notifications expandable

https://gerrit.wikimedia.org/r/293505

Providing screenshots of each type of notifications( (from betalabs) along with the specs descriptions:
1. Page-linked

  • Bundle: Links were made from 99 pages to Moai.
  • bundled message: Linked from Easter Island.


From foreign wiki (cawiki):

2. Flow-new-topic

Bundle: 5 new topics created on Moai.
Bundled message: "How the Moai moved?" [topic name]


From foreign wiki (cawiki):

3. Flowusertalk-new-topic

  • Bundle: 5 new topics created on your talk page.
  • Bundled message: “How the Moai moved?” [topic name]


Note: Notice the truncation of the topic titles - only two dots are displayed (in ellipses) and no closing quotes.
From foreign wiki (cawiki):

4. Flow-post-reply
Bundle: 5 new replies in "How the Moai moved?".
Bundled message: Ludmilla: “I don't think sails were used…” [excerpt]


From foreign wiki (cawiki):

5. Flowusertalk-post-reply

  • Bundle: 5 new replies on your talk page in "How the Moai Moved?".
  • Bundled message: Ludmilla: “The Birdman cult was practiced until….” [excerpt]

From foreign wiki (cawiki):

I notice that in both Flow-post-reply and Flowusertalk-post-reply, the screenshot shows no close quotes at the end of the excerpts, as below:

@SBisson, I'm moving this back to In Development so you can address this minor problem,

I notice that in both Flow-post-reply and Flowusertalk-post-reply, the screenshot shows no close quotes at the end of the excerpts, as below:

@SBisson, I'm moving this back to In Development so you can address this minor problem,

For the same reason why we do not have quotes in other excerpts, we can't have both quotes and the maximum that can be shown on one line.

I see the following options:

  1. Remove the quotes
  2. Have the quotes but wrap the excerpt on multiple lines
  3. Have a notification header with something like "ET replied" and a notification body with the excerpt on one line like the other excerpts. That would bring new UX questions since the bundled notifications (foreign and local) and pretty much on one line, message and buttons. I don't know how it would look on two lines.

@SBisson, I'm sure you are correct but can you explain (in layman's terms) why it is you can append ellipses at the end of the one-line excerpt but not ellipses + quotation marks?

@SBisson, I'm sure you are correct but can you explain (in layman's terms) why it is you can append ellipses at the end of the one-line excerpt but not ellipses + quotation marks?

It's purely technical. The main elements are:

  1. If you have quotes, they need to be in the message so they can be translated correctly
  2. The best way to show "as much content as possible on one line" is to ask the browser to do it. He is the one rendering the actual text, in the actual language, with the current zoom level, etc. There is an experimental feature to allow specifying the ellipsis character (we could add the closing quote) but it doesn't seem to work in most browser.

We had long discussions when we did T121822: Truncate Page and Topic Names and Msg Excerpts in Notifications Fly-Outs and Page and decided to drop the quotes for excerpts.

jmatazzoni closed this task as Resolved.Jul 21 2016, 6:34 PM

OK, thanks Stephane. Closing this. But I will open a separate ticket to consider this issue with @Pginer-WMF

Restricted Application added a project: Collaboration-Team-Triage. · View Herald TranscriptAug 7 2016, 2:23 PM